Gentoo Archives: gentoo-dev

From: Ryan Hill <dirtyepic@g.o>
To: gentoo-dev@l.g.o
Subject: [gentoo-dev] Re: News item announcing as-needed (glep 42 stuff)
Date: Wed, 28 Jul 2010 05:45:58
In Reply to: Re: [gentoo-dev] News item announcing as-needed (glep 42 stuff) by Jeroen Roovers
On Tue, 27 Jul 2010 16:39:01 +0200
Jeroen Roovers <jer@g.o> wrote:

> On Mon, 26 Jul 2010 22:29:06 +0200 > Tomáš Chvátal <scarabeus@g.o> wrote: > > Is it time yet? I still find a lot of packages that do not even respect > LDFLAGS yet - when all these get fixed to respect LDFLAGS, we will > probably find yet more packages that are problematic with --as-needed.
When you fix those packages to respect LDFLAGS you'll already hit any as-needed issues that might exist since it's on by default in the dev profiles. Enabling it in the user profiles doesn't change that. -- fonts, gcc-porting, and it's all by design toolchain, wxwidgets to keep us from losing our minds @ EFFD 380E 047A 4B51 D2BD C64F 8AA8 8346 F9A4 0662


File name MIME type
signature.asc application/pgp-signature